=== debian/changelog ===
freespace2-launcher-wxlauncher (0.9.1-1) unstable; urgency=low

  * Initial release (Closes: #709136).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 21 May 2013 15:18:12 +1000
