=== debian/watch ===
# uscan(1)
version=3

 http://code.google.com/p/wxlauncher/downloads/list?can=1 \
 .*/wxLauncher-(?:source-)?([\d.]+)\.(?:tgz|tbz2|tar\.gz|tar\.bz2|tar\.xz)
