## freespace2-launcher-wxlauncher 0.9.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 set(VERSION_MAJOR 0)
 set(VERSION_MINOR 9)
-set(VERSION_PATCH 1)
+set(VERSION_PATCH 4)
 
 list(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_SOURCE_DIR}/cmake/include")
 
@@ -60,12 +60,14 @@
   set(HELP_HTB_LOCATION ${helphtblocation})
   set(RESOURCES_PATH ${PROJECT_SOURCE_DIR}/resources)
 else(DEVELOPMENT_MODE)
-  if(IS_WIN32)
-    set(RESOURCES_PATH resources)
-  elseif(IS_APPLE)
-    set(RESOURCES_PATH wxlauncher.app/Contents/Resources)
-  else()
-    set(RESOURCES_PATH /usr/local/share/wxlauncher/)
+  if (NOT DEFINED RESOURCES_PATH)
+    if(IS_WIN32)
+      set(RESOURCES_PATH resources)
+    elseif(IS_APPLE)
+      set(RESOURCES_PATH wxlauncher.app/Contents/Resources)
+    else()
+      set(RESOURCES_PATH /usr/local/share/wxlauncher/)
+    endif()
   endif()
   set(HELP_HTB_LOCATION ${RESOURCES_PATH}/onlinehelp.htb)
 endif(DEVELOPMENT_MODE)
@@ -105,7 +107,20 @@
 if(IS_WIN32) # helper is only needed on windows
   add_executable(registry_helper WIN32
     code/global/ids.h
-    code/global/ids.cpp
+    code/global/BasicDefaults.h
+    code/global/BasicDefaults.cpp
+    code/global/ModDefaults.h
+    code/global/ModDefaults.cpp
+    code/global/ModIniKeys.h
+    code/global/ModIniKeys.cpp
+    code/global/ProfileKeys.h
+    code/global/ProfileKeys.cpp
+    code/global/RegistryKeys.h
+    code/global/RegistryKeys.cpp
+    code/global/SkinDefaults.h
+    code/global/SkinDefaults.cpp
+    code/global/Utils.h
+    code/global/Utils.cpp
     code/apis/RegistryProfileManager.cpp
     platform/win32/registry_helper.cpp
     code/apis/PlatformProfileManagerShared.cpp
@@ -117,14 +132,20 @@
     code/apis/ProfileManager.cpp
     code/apis/ProfileProxy.h
     code/apis/ProfileProxy.cpp
+    code/apis/SkinManager.h
+    code/apis/SkinManager.cpp
     code/apis/TCManager.h
     code/apis/TCManager.cpp
     code/controls/LightingPresets.h
     code/controls/LightingPresets.cpp
+    code/controls/ModList.h
+    code/controls/ModList.cpp
     code/datastructures/FlagFileData.h
     code/datastructures/FlagFileData.cpp
     code/datastructures/FSOExecutable.h
     code/datastructures/FSOExecutable.cpp
+    code/datastructures/NewsSource.h
+    code/datastructures/NewsSource.cpp
     )
   set_target_properties(registry_helper
     PROPERTIES LINKER_LANGUAGE CXX
@@ -193,10 +214,23 @@
 set(GLOBAL_CODE_FILES
   code/global/configure_launcher.h.in
   ${CMAKE_CURRENT_BINARY_DIR}/generated/configure_launcher.h
+  code/global/BasicDefaults.h
+  code/global/BasicDefaults.cpp
   code/global/ids.h
-  code/global/ids.cpp
   code/global/MemoryDebugging.h
+  code/global/ModDefaults.h
+  code/global/ModDefaults.cpp
+  code/global/ModIniKeys.h
+  code/global/ModIniKeys.cpp
+  code/global/ProfileKeys.h
+  code/global/ProfileKeys.cpp
+  code/global/RegistryKeys.h
+  code/global/RegistryKeys.cpp
+  code/global/SkinDefaults.h
+  code/global/SkinDefaults.cpp
   code/global/targetver.h
+  code/global/Utils.h
+  code/global/Utils.cpp
   code/global/version.h
   code/global/version.cpp
   )
@@ -207,6 +241,10 @@
   code/datastructures/FlagFileData.cpp
   code/datastructures/FSOExecutable.h
   code/datastructures/FSOExecutable.cpp
+  code/datastructures/NewsSource.h
+  code/datastructures/NewsSource.cpp
+  code/datastructures/ResolutionMap.h
+  code/datastructures/ResolutionMap.cpp
   )
 source_group("Data Structures" FILES ${DATASTRUCTURE_CODE_FILES})
 set(API_CODE_FILES
@@ -214,6 +252,8 @@
   code/apis/CmdLineManager.cpp
   code/apis/FlagListManager.h
   code/apis/FlagListManager.cpp
+  code/apis/FREDManager.h
+  code/apis/FREDManager.cpp
   code/apis/HelpManager.h
   code/apis/HelpManager.cpp
   code/apis/JoystickManager.h
@@ -221,7 +261,9 @@
   code/apis/OpenALManager.h
   code/apis/OpenALManager.cpp
   code/apis/ProfileManager.h
+  code/apis/ProfileManagerOperator.h
   code/apis/ProfileManager.cpp
+  code/apis/ProfileManagerOperator.cpp
   code/apis/ProfileProxy.h
   code/apis/ProfileProxy.cpp
   code/apis/SkinManager.h
@@ -295,21 +337,3 @@
     COMMAND mkdir ${APP_RESOURCES_PATH}
     COMMAND mkdir ${APP_FRAMEWORKS_PATH}
     COMMAND cp ${PROJECT_SOURCE_DIR}/resources/* ${APP_RESOURCES_PATH}
-    COMMAND cp ${helphtblocation} ${APP_RESOURCES_PATH}
-    COMMAND cp ${PROJECT_SOURCE_DIR}/platform/macosx/wxlauncher.icns ${APP_RESOURCES_PATH})
-  if(USING_SDL_FRAMEWORK) # then copy the framework into the app
-    add_custom_command(TARGET wxlauncher POST_BUILD
-      COMMAND cp -R ${SDL_LIBRARY} ${APP_FRAMEWORKS_PATH})
-  endif(USING_SDL_FRAMEWORK)
-endif(IS_APPLE)
-
-# packaging
-set(LAUNCHER_CMAKE_SOURCE_DIR ${CMAKE_SOURCE_DIR}/cmake)
-
-if(DEVELOPMENT_MODE)
-  message( "Development mode is set. Building of installers is not allowed.  Set DEVELOPMENT_MODE=OFF to build installers.")
-  configure_file(${CMAKE_SOURCE_DIR}/cmake/FailCPack.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/CPackConfig.cmake COPYONLY)
-  configure_file(${CMAKE_SOURCE_DIR}/cmake/FailCPack.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/CPackSourceConfig.cmake COPYONLY)
-else()
-  include(${LAUNCHER_CMAKE_SOURCE_DIR}/wxLauncherInstaller.cmake)
-endif()
