=== debian/changelog ===
freespace2-launcher-wxlauncher (0.9.4-1) unstable; urgency=low

  * New upstream release [June 2013].
  * Updated all patches.
  * "debian/watch": minor update to match new version.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 15 Sep 2013 10:26:14 +1000
