=== debian/control ===
Source: freespace2-launcher-wxlauncher
Section: contrib/games
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), imagemagick
              ,cmake
              ,libopenal-dev
              ,libsdl-dev
              ,libwxgtk2.8-dev
              ,python
              ,python-markdown
Standards-Version: 3.9.4
Homepage: https://code.google.com/p/wxlauncher/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/onlyjob/freespace2-launcher-wxlauncher.git
Vcs-Git: git://anonscm.debian.org/users/onlyjob/freespace2-launcher-wxlauncher.git

Package: freespace2-launcher-wxlauncher
Provides: freespace2-launcher
Recommends: freespace2
Enhances: freespace2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: joystick
Description: launcher for the Freespace 2 Source Code Project
 GUI launcher for the Freespace 2 Source Code Project.
 .
 FreeSpace is a series of space combat simulation games developed
 by Volition, Inc. and published by Interplay Entertainment.
 The games take place in the 24th century. Mankind, referred to as
 Terrans, has developed means for space traveling, further fueled
 by the discovery of subspace which makes interstellar travel not
 only possible but also fast and easy. As a result the Terrans have
 expanded their territory, eventually encountering another bipedal,
 sentient species; the Vasudans. However, due to cultural differences
 and difficulties in communicating with each other, the Galactic Terran
 Alliance (GTA) and the Parliamentary Vasudan Empire (PVE) end up fighting
 a war that lasts for 14 years.
 .
 Original game files from CD are needed to play this game.
