=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
$(info DEB_BUILD_MAINT_OPTIONS:$(origin DEB_BUILD_MAINT_OPTIONS)=$(DEB_BUILD_MAINT_OPTIONS))

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
            -DCMAKE_BUILD_TYPE:STRING=RELEASE \
            -DCMAKE_CXX_FLAGS_RELEASE="$(CXXFLAGS) $(CPPFLAGS)" \
            -DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed $(LDFLAGS)"
	## generate icon
	convert -monitor resources/recommended.png debian/wxlauncher.xpm

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_builddeb:
	dh_builddeb -- -Zxz
