## freespace2-launcher-wxlauncher 0.9.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,18 @@
 # arbitrarily following http://techbase.kde.org/Policies/CMake_Coding_Style#Upper.2Flower_casing
 
 cmake_minimum_required(VERSION 2.8)
+if(CMAKE_MAJOR_VERSION GREATER 2)
+  # Continue to support compatiable interface for _DEBUG on targets
+  # see: http://www.cmake.org/cmake/help/v3.0/policy/CMP0043.html
+  cmake_policy(SET CMP0043 OLD)
+endif()
 
 # We don't use C but CMake on linux complains if we don't have it enabled
 project(wxlauncher CXX C) 
 
 set(VERSION_MAJOR 0)
 set(VERSION_MINOR 9)
-set(VERSION_PATCH 4)
+set(VERSION_PATCH 6)
 
 list(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_SOURCE_DIR}/cmake/include")
 
@@ -25,14 +30,18 @@
 endif()
 
 find_package(wxWidgets 2.8.10
-  REQUIRED base core net xml html adv qa richtext)
+  COMPONENTS base core net xml html adv qa richtext)
+if(NOT wxWidgets_FOUND)
+  find_package(wxWidgets 3.0.2
+    COMPONENTS base core net xml html adv qa richtext)
+endif()
   
 if(NOT PYTHON_EXECUTABLE)
   # Only try to find python iff not already given
   include(FindPythonInterp) #PYTHON_EXECUTABLE
 endif()
 
-find_program(HG_EXECUTABLE hg)
+find_program(GIT_EXECUTABLE git)
 
 option(onlinehelpmaker_debug "Have the onlinehelpmaker.py script output debug information" OFF)
 if(onlinehelpmaker_debug)
@@ -52,6 +61,7 @@
 # version of the CRT, the one that is being distrubuted in the installer
 if(IS_WIN32)
   add_definitions("/D_BIND_TO_CURRENT_CRT_VERSION=1")
+  add_definitions("/D_CRT_SECURE_NO_WARNINGS")
 endif(IS_WIN32)
 
 set(helphtblocation ${CMAKE_CURRENT_BINARY_DIR}/generated/onlinehelp.htb)
@@ -85,9 +95,6 @@
   find_package(SDL REQUIRED)
   include_directories(${SDL_INCLUDE_DIR})
   set(HAS_SDL true)
-endif()
-if(UNIX AND NOT DEFINED PLATFORM_HAS_BROKEN_OPENAL)
-  set(PLATFORM_HAS_BROKEN_OPENAL TRUE)
 endif()
 
 if(IS_APPLE)
@@ -126,6 +133,8 @@
     code/apis/PlatformProfileManagerShared.cpp
     code/apis/CmdLineManager.h
     code/apis/CmdLineManager.cpp
+    code/apis/EventHandlers.h
+    code/apis/EventHandlers.cpp
     code/apis/FlagListManager.h
     code/apis/FlagListManager.cpp
     code/apis/ProfileManager.h
@@ -155,12 +164,12 @@
   target_link_libraries(registry_helper ${wxWidgets_LIBRARIES})
 endif()
 
-# Check to see if we have a HG executable so that we will be able to
+# Check to see if we have a GIT executable so that we will be able to
 # generate the version.cpp.  If we don't have a hg binary, notify and
 # create the target to copy a template version.
-if(HG_EXECUTABLE)
+if(GIT_EXECUTABLE)
   add_custom_target(version.cpp.maker ALL
-    COMMAND ${PYTHON_EXECUTABLE} scripts/version.cpp.maker.py build ${CMAKE_CURRENT_BINARY_DIR}/generated/version_strings.cpp ${CMAKE_CURRENT_BINARY_DIR}/version.cpp.maker.temp --hgpath=${HG_EXECUTABLE}
+    COMMAND ${PYTHON_EXECUTABLE} scripts/version.cpp.maker.py build ${CMAKE_CURRENT_BINARY_DIR}/generated/version_strings.cpp ${CMAKE_CURRENT_BINARY_DIR}/version.cpp.maker.temp --gitpath=${GIT_EXECUTABLE}
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
     )
 else()
@@ -179,7 +188,16 @@
 set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_CURRENT_BINARY_DIR}/generated/helplinks.cpp)
 set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${helphtblocation})
 file(GLOB_RECURSE helpmaker_temp_files ${CMAKE_CURRENT_BINARY_DIR}/onlinehelpmaker/*.*)
-set_source_files_properties(${helphtblocation} ${CMAKE_CURRENT_BINARY_DIR}/generated/helplinks.cpp ${CMAKE_CURRENT_BINARY_DIR}/generated/version_strings.cpp PROPERTIES GENERATED true EXTERNAL_OBJECT true)
+
+# Call out the files that are built a part of the build
+# The HTBs do not need to be run through a complier
+set_source_files_properties(
+	${helphtblocation}
+	PROPERTIES GENERATED true EXTERNAL_OBJECT true)
+set_source_files_properties(
+	${CMAKE_CURRENT_BINARY_DIR}/generated/helplinks.cpp
+	${CMAKE_CURRENT_BINARY_DIR}/generated/version_strings.cpp
+	PROPERTIES GENERATED true)
 
 set(TAB_CODE_FILES
   code/tabs/AdvSettingsPage.h
@@ -250,6 +268,8 @@
 set(API_CODE_FILES
   code/apis/CmdLineManager.h
   code/apis/CmdLineManager.cpp
+  code/apis/EventHandlers.h
+  code/apis/EventHandlers.cpp
   code/apis/FlagListManager.h
   code/apis/FlagListManager.cpp
   code/apis/FREDManager.h
@@ -327,13 +347,3 @@
 target_link_libraries(wxlauncher ${wxWidgets_LIBRARIES} ${SDL_LIBRARY})
 
 # adapted from http://www.cmake.org/Wiki/CMake_FAQ#How_can_I_apply_resources_on_Mac_OS_X_automatically.3F
-# copies necessary resources (and frameworks, if needed) to .app bundle
-if(IS_APPLE)
-  set(APP_RESOURCES_PATH ${CMAKE_CURRENT_BINARY_DIR}/$(CONFIGURATION)/${RESOURCES_PATH})
-  set(APP_FRAMEWORKS_PATH ${CMAKE_CURRENT_BINARY_DIR}/$(CONFIGURATION)/wxlauncher.app/Contents/Frameworks)
-  add_custom_command(TARGET wxlauncher POST_BUILD
-    COMMAND rm -rf ${APP_RESOURCES_PATH}
-    COMMAND rm -rf ${APP_FRAMEWORKS_PATH}
-    COMMAND mkdir ${APP_RESOURCES_PATH}
-    COMMAND mkdir ${APP_FRAMEWORKS_PATH}
-    COMMAND cp ${PROJECT_SOURCE_DIR}/resources/* ${APP_RESOURCES_PATH}
