=== debian/changelog ===
freespace2-launcher-wxlauncher (0.9.6-1build1) wily; urgency=medium

  * No-change rebuild against libwx*-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 12:18:53 +0200

freespace2-launcher-wxlauncher (0.9.6-1) unstable; urgency=low

  * New upstream release [April 2015].
  * Removed all backported patches.
  * No longer add "-DNDEBUG" to build flags.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 16 Apr 2015 09:47:49 +1000

freespace2-launcher-wxlauncher (0.9.5-1) unstable; urgency=low

  * New upstream release [February 2015].
  * New project's URLs in d/watch and d/copyright and d/control.
  * New style Vcs-Browser link.
  * Standards-Version: 3.9.6.
  * Dropped obsolete "wx3.0-compat.patch".
  * Replaced "issue_93.patch" with "115.patch" from upstream.
  * Added new patches:
    + 116.patch (Closes: #770855)
    + fix-al-includes.patch
    + fix-wx3-build.patch
    + openal.patch

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 16 Mar 2015 10:13:16 +1100

freespace2-launcher-wxlauncher (0.9.4-2) unstable; urgency=low

  [ Olly Betts <olly@survex.com> ]
  * Update to use wxwidgets3.0 (Closes: #749834):
    + New patch: wx3.0-compat.patch
    + Pass -DNDEBUG to disable WXDEBUG checks.

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * Standards-Version to 3.9.5.
  * Updated copyright years.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 13 Sep 2014 16:23:47 +1000
