=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
               ,cmake
               ,libopenal-dev
               ,libsdl-dev
-              ,libwxgtk2.8-dev
+              ,libwxgtk3.0-dev
               ,python
               ,python-markdown
-Standards-Version: 3.9.4
-Homepage: https://code.google.com/p/wxlauncher/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/onlyjob/freespace2-launcher-wxlauncher.git
+Standards-Version: 3.9.6
+Homepage: https://github.com/wxLauncher/wxlauncher/
+Vcs-Browser: http://anonscm.debian.org/cgit/users/onlyjob/freespace2-launcher-wxlauncher.git
 Vcs-Git: git://anonscm.debian.org/users/onlyjob/freespace2-launcher-wxlauncher.git
 
 Package: freespace2-launcher-wxlauncher
