=== debian/watch ===
# uscan(1)
version=3

 https://github.com/wxLauncher/wxlauncher/releases \
 .*/archive/release-(\d[-\d\.]+)\.tar\.gz
