## freespace2-launcher-wxlauncher 0.10.1%2Bdfsg

=== debian/changelog ===
freespace2-launcher-wxlauncher (0.10.1+dfsg-1) unstable; urgency=medium

  * New upstream release [September 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 29 Sep 2015 13:14:52 +1000

freespace2-launcher-wxlauncher (0.10.0+dfsg-1) unstable; urgency=medium

  * New upstream release [August 2015].
  * Build-Depends:
    - libsdl-dev
    + libsdl2-dev
  * copyright: "Files-Excluded: 3rdparty/SDL2-2_0_3".
  * watch: added repacksuffix, dversionmangle.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 03 Sep 2015 22:00:11 +1000
