## freespace2-launcher-wxlauncher 0.10.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,10 @@
 project(wxlauncher CXX C) 
 
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 9)
-set(VERSION_PATCH 6)
+set(VERSION_MINOR 10)
+set(VERSION_PATCH 1)
+
+message("--- Configuring wxLauncher ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
 list(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_SOURCE_DIR}/cmake/include")
 
@@ -29,11 +31,52 @@
   endif()
 endif()
 
-find_package(wxWidgets 2.8.10
-  COMPONENTS base core net xml html adv qa richtext)
+if(DEFINED WXVER AND NOT WXVER MATCHES "PLATFORM")
+  # we are given an explict wxWidgets version we must use
+  # which means we are probably on CI builder
+  message("-- Explicitly told to use WXVER ${WXVER}")
+  if(NOT DEFINED wxWidgets_ROOT_DIR OR NOT wxWidgets_ROOT_DIR)
+    set(wxWidgets_ROOT_DIR $ENV{WXWIDGETS${WXVER}})
+  endif()
+  message("--- Searching for wxWidgets in ${wxWidgets_ROOT_DIR}")
+  if(WXVER MATCHES "2.8")
+    find_package(wxWidgets 2.8.10
+      COMPONENTS base core net xml html adv qa richtext)
+  elseif(WXVER MATCHES "3.0")
+    find_package(wxWidgets 3.0.2
+      COMPONENTS base core net xml html adv qa richtext)
+  else()
+    message(FATAL_ERROR "Unknown WXVER forced")
+  endif()
+
+  #ensure we have the correct version with or without stl as requested
+  if(NOT DEFINED HAVE_WXUSE_STL 
+        OR NOT wxWidgets_ROOT_DIR MATCHES STL_TEST_WX_ROOT)
+    # Save for later to test if root changes
+    set(STL_TEST_WX_ROOT ${wxWidgets_ROOT_DIR})
+
+    message("-- Testing wxUSE_STL")
+    try_compile(HAVE_WXUSE_STL ${CMAKE_BINARY_DIR}
+      SOURCES ${CMAKE_SOURCE_DIR}/cmake/test_wxstl.cpp
+      COMPILE_DEFINITIONS "/I${wxWidgets_LIB_DIR}/${wxWidgets_CONFIGURATION} /I${wxWidgets_ROOT_DIR}/include")
+
+    if(WXVER MATCHES "stl")
+      if(NOT HAVE_WXUSE_STL)
+        message(FATAL_ERROR "wxUSE_STL required but not provided")
+      endif()
+    else()
+      if(HAVE_WXUSE_STL)
+        message(FATAL_ERROR "wxUSE_STL enabled but was not requested")
+      endif()
+    endif()
+  endif()
+else()
+  message("-- Searching for wxWidgets")
+  find_package(wxWidgets 2.8.10
+    COMPONENTS base core net xml html adv qa richtext)
+endif()
 if(NOT wxWidgets_FOUND)
-  find_package(wxWidgets 3.0.2
-    COMPONENTS base core net xml html adv qa richtext)
+  message(FATAL_ERROR "Unable to locate wxWidgets")
 endif()
   
 if(NOT PYTHON_EXECUTABLE)
@@ -83,19 +126,47 @@
 endif(DEVELOPMENT_MODE)
 
 option(PROFILE_DEBUGGING "Extra verbose debug logs that include snapshots of profile contents at important steps while auto-save is off" OFF)
-option(USE_SPEECH "Build launcher with speech support?" OFF)
-option(USE_JOYSTICK "Build launcher with joystick support?" ON)
-option(USE_OPENAL "Build launcher with OpenAL support?" ON)
+
+if(DEFINED $ENV{OPTIONS} AND $ENV{OPTIONS} STREQUAL "DisableAll")
+  set(OPTION_DEFAULT OFF)
+else()
+  set(OPTION_DEFAULT ON)
+endif()
+
+if(IS_WIN32)
+  # Don't offer features that can only work on Windows
+  option(USE_SPEECH "Build launcher with speech support?" ${OPTION_DEFAULT})
+endif()
+
+option(USE_JOYSTICK "Build launcher with joystick support?" ${OPTION_DEFAULT})
+option(USE_OPENAL "Build launcher with OpenAL support?" ${OPTION_DEFAULT})
 if(USE_OPENAL)
   find_package(OpenAL REQUIRED)
   include_directories(${OPENAL_INCLUDE_DIR})
 endif(USE_OPENAL)
 
-if(UNIX)
-  find_package(SDL REQUIRED)
-  include_directories(${SDL_INCLUDE_DIR})
-  set(HAS_SDL true)
-endif()
+IF(UNIX)
+    INCLUDE(FindPkgConfig)
+
+    PKG_SEARCH_MODULE(SDL2 REQUIRED sdl2)
+    set(SDL2_INCLUDES ${SDL2_INCLUDE_DIRS})
+else()
+    set(SDL2_INCLUDES "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/SDL2-2_0_3/include")
+
+    IF(CMAKE_SIZEOF_VOID_P EQUAL 8)
+        # 64-bit
+        set(ARCH "x64")
+    ELSE(CMAKE_SIZEOF_VOID_P EQUAL 8)
+        # 32-bit
+        set(ARCH "x86")
+    ENDIF(CMAKE_SIZEOF_VOID_P EQUAL 8)
+
+    set(SDL2_LIBRARIES "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/SDL2-2_0_3/lib/${ARCH}/SDL2.lib")
+    set(SDL2_DLL "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/SDL2-2_0_3/lib/${ARCH}/SDL2.dll")
+endif()
+
+include_directories(${SDL2_INCLUDES})
+set(HAS_SDL true)
 
 if(IS_APPLE)
   option(USING_SDL_FRAMEWORK "Check this if building with an SDL framework." ON)
@@ -110,59 +181,6 @@
 
 include(${wxWidgets_USE_FILE})
 include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR}/code)
-
-if(IS_WIN32) # helper is only needed on windows
-  add_executable(registry_helper WIN32
-    code/global/ids.h
-    code/global/BasicDefaults.h
-    code/global/BasicDefaults.cpp
-    code/global/ModDefaults.h
-    code/global/ModDefaults.cpp
-    code/global/ModIniKeys.h
-    code/global/ModIniKeys.cpp
-    code/global/ProfileKeys.h
-    code/global/ProfileKeys.cpp
-    code/global/RegistryKeys.h
-    code/global/RegistryKeys.cpp
-    code/global/SkinDefaults.h
-    code/global/SkinDefaults.cpp
-    code/global/Utils.h
-    code/global/Utils.cpp
-    code/apis/RegistryProfileManager.cpp
-    platform/win32/registry_helper.cpp
-    code/apis/PlatformProfileManagerShared.cpp
-    code/apis/CmdLineManager.h
-    code/apis/CmdLineManager.cpp
-    code/apis/EventHandlers.h
-    code/apis/EventHandlers.cpp
-    code/apis/FlagListManager.h
-    code/apis/FlagListManager.cpp
-    code/apis/ProfileManager.h
-    code/apis/ProfileManager.cpp
-    code/apis/ProfileProxy.h
-    code/apis/ProfileProxy.cpp
-    code/apis/SkinManager.h
-    code/apis/SkinManager.cpp
-    code/apis/TCManager.h
-    code/apis/TCManager.cpp
-    code/controls/LightingPresets.h
-    code/controls/LightingPresets.cpp
-    code/controls/ModList.h
-    code/controls/ModList.cpp
-    code/datastructures/FlagFileData.h
-    code/datastructures/FlagFileData.cpp
-    code/datastructures/FSOExecutable.h
-    code/datastructures/FSOExecutable.cpp
-    code/datastructures/NewsSource.h
-    code/datastructures/NewsSource.cpp
-    )
-  set_target_properties(registry_helper
-    PROPERTIES LINKER_LANGUAGE CXX
-    LINK_FLAGS /MANIFESTUAC:NO
-    COMPILE_DEFINITIONS REGISTRY_HELPER
-    )
-  target_link_libraries(registry_helper ${wxWidgets_LIBRARIES})
-endif()
 
 # Check to see if we have a GIT executable so that we will be able to
 # generate the version.cpp.  If we don't have a hg binary, notify and
@@ -327,23 +345,3 @@
 set_source_files_properties(
   ${CMAKE_CURRENT_BINARY_DIR}/generated/helplinks.cpp   
   ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/onlinehelp.htb 
-  ${CMAKE_CURRENT_BINARY_DIR}/generated/configure_launcher.h 
-  code/datastructures/FlagInfo.cpp
-  code/global/configure_launcher.h.in
-  PROPERTIES HEADER_FILE_ONLY true)
-
-add_dependencies(wxlauncher helpmaker version.cpp.maker)
-if(IS_WIN32)
-  add_dependencies(wxlauncher registry_helper)
-endif(IS_WIN32)
-
-configure_file(${CMAKE_SOURCE_DIR}/code/global/configure_launcher.h.in
-  ${CMAKE_CURRENT_BINARY_DIR}/generated/configure_launcher.h)
-
-foreach(temp_file ${helpmaker_temp_files})
-  set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${temp_file})
-endforeach(temp_file)
-
-target_link_libraries(wxlauncher ${wxWidgets_LIBRARIES} ${SDL_LIBRARY})
-
-# adapted from http://www.cmake.org/Wiki/CMake_FAQ#How_can_I_apply_resources_on_Mac_OS_X_automatically.3F
