=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), imagemagick
               ,cmake
               ,libopenal-dev
-              ,libsdl-dev
+              ,libsdl2-dev
               ,libwxgtk3.0-dev
               ,python
               ,python-markdown
