=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 $(info DEB_BUILD_MAINT_OPTIONS:$(origin DEB_BUILD_MAINT_OPTIONS)=$(DEB_BUILD_MAINT_OPTIONS))
+
+## Building with "-DNDEBUG" should not be necessary after 0.9.6.
+# Disable wx3.0 WXDEBUG checks, as happened by default in wx2.8.
+#export DEB_CPPFLAGS_MAINT_APPEND=-DNDEBUG
 
 %:
 	dh $@ --parallel
@@ -20,7 +24,3 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(CURDIR)/debian/tmp
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
