=== debian/watch ===
# uscan(1)
version=3

opts=\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
 https://github.com/wxLauncher/wxlauncher/releases \
 .*/archive/release-(\d[\d\.]+)\.tar\.gz
