## freespace2-launcher-wxlauncher 0.11.0%2Bdfsg

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg,\
dversionmangle=s{[+~]dfsg\d*}{},\
uversionmangle=s{-rc}{~rc};s{rc\K\.(\d+)}{$1},\
" https://github.com/scp-fs2open/wxlauncher/releases \
  .*/archive/(?:v|release-)?(\d[\d\.\-rc]+)\.tar\.gz
