## freespace2-launcher-wxlauncher 0.11.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,8 @@
 project(wxlauncher CXX C) 
 
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 10)
-set(VERSION_PATCH 1)
+set(VERSION_MINOR 11)
+set(VERSION_PATCH 0)
 
 message("--- Configuring wxLauncher ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
@@ -269,7 +269,8 @@
   code/global/Utils.cpp
   code/global/version.h
   code/global/version.cpp
-  )
+  code/global/Compatibility.cpp
+  code/global/Compatibility.h)
 source_group(Global FILES ${GLOBAL_CODE_FILES})
 set(DATASTRUCTURE_CODE_FILES
   code/datastructures/FlagInfo.cpp
@@ -340,8 +341,8 @@
   ${CODE_FILES}
   )
 set_target_properties(wxlauncher
-  PROPERTIES LINKER_LANGUAGE CXX)
+  PROPERTIES LINKER_LANGUAGE CXX
+  POSITION_INDEPENDENT_CODE ON)
 # Files that are not to be compiled directly
 set_source_files_properties(
   ${CMAKE_CURRENT_BINARY_DIR}/generated/helplinks.cpp   
-  ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/onlinehelp.htb
