=== debian/changelog ===
freespace2-launcher-wxlauncher (0.11.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to wxWidgets 3.2 using patches from upstream pull request.
    (Closes: #1019772)

 -- Adrian Bunk <bunk@debian.org>  Wed, 08 Feb 2023 11:47:07 +0200

freespace2-launcher-wxlauncher (0.11.0+dfsg-3) unstable; urgency=medium

  * libwxgtk3.0-dev -> libwxgtk3.0-gtk3-dev (Closes: #933465).
  * Standards-Version: 4.4.1.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 12 Oct 2019 20:44:35 +1100

freespace2-launcher-wxlauncher (0.11.0+dfsg-2) unstable; urgency=medium

  * Replaced "README.Debian" with "bug-presubj" file.
  * Don't build .xpm icon; removed "imagemagick" from Build-Depends.
  * Standards-Version: 4.1.5; removed .menu file.
  * Install application icon symlink.
  * debhelper & compat to version 11.
  * Updated upstream home page URL.
  * watch file to version 4.
  * Vcs URLs to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 11 Jul 2018 21:27:04 +1000

freespace2-launcher-wxlauncher (0.11.0+dfsg-1) unstable; urgency=medium

  * New upstream release [March 2016].
  * Standards-Version: 3.9.8.
  * Vcs URLs to HTTPS.
  * Build-Depends:
    - python
    + python3
    - python-markdown
    + python3-markdown
  * rules: build with "-DPYTHON_EXECUTABLE=/usr/bin/python3".
  * Build with full hardening.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 09 Jul 2016 18:22:16 +1000
