=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: freespace2-launcher-wxlauncher
 Section: contrib/games
 Priority: optional
+Standards-Version: 4.4.1
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9), imagemagick
+Build-Depends: debhelper (>= 11~)
               ,cmake
               ,libopenal-dev
               ,libsdl2-dev
-              ,libwxgtk3.0-dev
-              ,python
-              ,python-markdown
-Standards-Version: 3.9.6
-Homepage: https://github.com/wxLauncher/wxlauncher/
-Vcs-Browser: http://anonscm.debian.org/cgit/users/onlyjob/freespace2-launcher-wxlauncher.git
-Vcs-Git: git://anonscm.debian.org/users/onlyjob/freespace2-launcher-wxlauncher.git
+              ,libwxgtk3.2-dev
+              ,python3
+              ,python3-markdown
+# Python2 support on build time:
+#    ,python-future
+Homepage: https://github.com/scp-fs2open/wxlauncher/
+Vcs-Browser: https://salsa.debian.org/games-team/freespace2-launcher-wxlauncher
+Vcs-Git: https://salsa.debian.org/games-team/freespace2-launcher-wxlauncher.git
 
 Package: freespace2-launcher-wxlauncher
 Provides: freespace2-launcher
@@ -37,5 +39,3 @@
  a war that lasts for 14 years.
  .
  Original game files from CD are needed to play this game.
-
-
