## freespace2-launcher-wxlauncher 0.12.0~rc3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: freespace2-launcher-wxlauncher
 Section: contrib/games
 Priority: optional
-Standards-Version: 4.4.1
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 11~)
+Standards-Version: 4.6.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Build-Depends: debhelper-compat (= 13)
               ,cmake
               ,libopenal-dev
               ,libsdl2-dev
               ,libwxgtk3.2-dev
               ,python3
               ,python3-markdown
-# Python2 support on build time:
-#    ,python-future
 Homepage: https://github.com/scp-fs2open/wxlauncher/
 Vcs-Browser: https://salsa.debian.org/games-team/freespace2-launcher-wxlauncher
 Vcs-Git: https://salsa.debian.org/games-team/freespace2-launcher-wxlauncher.git
+Rules-Requires-Root: no
 
 Package: freespace2-launcher-wxlauncher
 Provides: freespace2-launcher
